Module ij
Package ij.plugin

# Class URLOpener

java.lang.Object
ij.plugin.URLOpener

All Implemented Interfaces:
  `PlugIn`

public class URLOpener extends Object implements PlugIn
Opens TIFFs, ZIP compressed TIFFs, DICOMs, GIFs and JPEGs using a URL. TIFF file names must end in ".tif", ZIP file names must end in ".zip" and DICOM file names must end in ".dcm". Opens a Web page in the default browser if the URL ends with "/".

## Constructor Summary

Constructors
Constructor
Description
`URLOpener()`

## Method Summary

Modifier and Type
Method
Description
`static String[]`
`getSampleImageNames()`
`void`
`run(String urlOrName)`
If 'urlOrName' is a URL, opens the image at that URL.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### URLOpener

public URLOpener()

## Method Details

### run

public void run(String urlOrName)
If 'urlOrName' is a URL, opens the image at that URL. If it is a file name, opens the image with that name from the 'images.location' URL in IJ_Props.txt. If it is blank, prompts for an image URL and open the specified image.

Specified by:
  `run` in interface `PlugIn`

### getSampleImageNames

public static String[] getSampleImageNames()